| Elektra 0.11.0

Classes | Namespaces | Functions
kdbvalue.hpp File Reference
`#include <kdbmacros.h>`
`#include <algorithm>`
`#include <cassert>`
`#include <fstream>`
`#include <functional>`
`#include <iostream>`
`#include <kdbmeta.h>`
`#include <map>`
`#include <memory>`
`#include <set>`
`#include <stdexcept>`
`#include <string>`
`#include <unordered_map>`
`#include <vector>`
`#include <kdbhelper.h>`
`#include <keyset.hpp>`

## Classes
class | kdb::none_t
| This type is being used as bottom type that always fails. More...
class | kdb::Layer
| Base class for all layers. More...
class | kdb::Wrapped
| Everything implementing this interface can be used as layer. More...
class | kdb::ValueObserver
| Base class for values to be observed. More...
struct | kdb::Command
| Used by contexts for callbacks (to run code using a mutex). More...
class | kdb::DefaultGetPolicy
| Implements lookup with spec. More...
class | kdb::DefaultSetPolicy
| Implements creating user:/ key when key is not found. More...
class | kdb::GetPolicyIs< Policy >
| Needed by the user to set one of the policies. More...
class | kdb::SetPolicyIs< Policy >
| Needed by the user to set one of the policies. More...
class | kdb::ContextPolicyIs< Policy >
| Needed by the user to set one of the policies. More...
class | kdb::WritePolicyIs< Policy >
| Needed by the user to set one of the policies. More...
class | kdb::ObserverPolicyIs< Policy >
| Needed by the user to set one of the policies. More...
class | kdb::LockPolicyIs< Policy >
| Needed by the user to set one of the policies. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.

## Functions
bool | kdb::operator< (ValueObserver const &lhs, ValueObserver const &rhs)
| Needed to put a ValueObserver in a map.

## Detailed Description

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)